-- ===============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     07/07/2022  16:44
--   Issue:          388941 - Adequar relatório de ''ocorrências '' em ''marcação de ponto'' no HCM.
-- ===============================================================

-- ===============================================================
--   Table: GPE_COLETOR                                      
-- ===============================================================
INSERT INTO GPE_COLETOR (
    NRORG, NRCOLETOR, DSCOLETOR,
    IDATIVO, NRORGINCLUSAO, DTINCLUSAO,
    CDOPERINCLUSAO, NRORGULTATU, DTULTATU,
    CDOPERULTATU, CDNUMEROREGISTRO
) VALUES (
    0, 32, 'Marcação registrada via batida',
    'S', 0, SYSDATE + 1,
    5, 0, SYSDATE + 1,
    5, NULL
);

-- ===============================================================
--   Table: GPE_PARAMORG                                      
-- ===============================================================
ALTER TABLE GPE_PARAMORG
ADD NRCOLETORMARCBATIDA NUMBER DEFAULT 32 NULL CONSTRAINT FKPTO00041GPE_COLE REFERENCES GPE_COLETOR(NRCOLETOR);